summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2013-12-10 07:39:42 -0500
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2013-12-10 07:46:21 -0500
commit739d81ddd005fae2bb82edce5b8a6173c7c48b34 (patch)
tree9afd3e25bd463f71dd368ee65c2d0f815a25b989 /test
parentc6a77179a4097df355f0f04b8f3260c76b5e515c (diff)
test: wrap $LOOPDEV in quotes
Otherwise things go awry if it is not set ('[ -b ]' is not the same as '[ -b "" ]'!).
Diffstat (limited to 'test')
-rw-r--r--test/test-functions10
1 files changed, 5 insertions, 5 deletions
diff --git a/test/test-functions b/test/test-functions
index 87d3a73e7..a9446e514 100644
--- a/test/test-functions
+++ b/test/test-functions
@@ -124,18 +124,18 @@ install_missing_libraries() {
}
create_empty_image() {
- rm -f $TESTDIR/rootdisk.img
+ rm -f "$TESTDIR/rootdisk.img"
# Create the blank file to use as a root filesystem
- dd if=/dev/null of=$TESTDIR/rootdisk.img bs=1M seek=200
+ dd if=/dev/null of="$TESTDIR/rootdisk.img" bs=1M seek=200
LOOPDEV=$(losetup --show -P -f $TESTDIR/rootdisk.img)
- [ -b $LOOPDEV ] || return 1
+ [ -b "$LOOPDEV" ] || return 1
echo "LOOPDEV=$LOOPDEV" >> $STATEFILE
- sfdisk -C 6400 -H 2 -S 32 -L $LOOPDEV <<EOF
+ sfdisk -C 6400 -H 2 -S 32 -L "$LOOPDEV" <<EOF
,3200
,
EOF
- mkfs.ext3 -L systemd ${LOOPDEV}p1
+ mkfs.ext3 -L systemd "${LOOPDEV}p1"
}
check_result_nspawn() {